<div class="content-header row">
  <div class="content-header-left col-md-9 col-12 mb-2">
    <div class="row breadcrumbs-top">
      <div class="col-12">
        <h2 class="content-header-title float-left mb-0">Liste des Apporteurs</h2>
      
      </div>
    </div>
  </div>
  <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
    <div class="form-group breadcrum-right">
      <div class="dropdown">
        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
      </div>
    </div>
  </div>
</div>
<section id="data-thumb-view" class="data-thumb-view-header">
  <div class="row">
      <div class="col-12">
          <div class="card">
              <div class="card-header">
                  <h4 class="card-title"></h4>
              </div>
              <div class="card-content">

                  <div class="card-body card-dashboard">

                      <div class="table-responsive">
                        <h3 class="content-header-title float-left mb-0">Liste des particulier</h3><br> <br>                       
                        <a  [routerLink]="['/creation_apporteur']" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Nouveau Apporteur</a>

                        <table class="table zero-configuration table-striped" >
                          
                            <thead>
                              <tr>
                                <th>NOM</th>
                                <th>CIN</th>
                                <th>COURRIEL</th>
                                <th>TEL</th>
                                <th>ADRESSE</th>

                                <th>ACTION</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngFor="let ut of particuliers; index as i">
                                
                                <td class="product-category">{{ut.nom}}</td>
                                <td class="product-category">{{ut.cin}}</td>
                                <td class="product-category">{{ut.email}}</td>
                                <td class="product-category">{{ut.tel}}</td>
                                <td class="product-category">{{ut.adresse}}</td>

                                <td class="product-action">
                                  
                      
                                  <div class="dropdown">
                                   <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                   <div class="dropdown-menu dropdown-menu-right">
                                    <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifierParticulier' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                       
                                    <a class="dropdown-item"  data-toggle="modal" (click)="deletePopupParticulier(ut.id,ut.nom)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                   </div>
                                 </div>
                                 
                                 </td>

                                 <div class="modal modal-danger fade" id="supprimerParticulier{{i}}">
                                  <div class="modal-dialog " role="document">
                                    <div class="modal-content">
                                      <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel4">Suppression Apporteur</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">×</span>
                                        </button>
                                      </div>
                                      <div class="modal-body">
                                        <p>
                                        Voulez vous supprimer  Apporteur {{ut.nom}}
                                        </p>
                                      </div>
                                      <div class="modal-footer">
                                        <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal" (click)="deleteParticulier(ut.id)">Supprimer</button>
                                      </div>
                                    
                                    </div>
                                    <!-- /.modal-content -->
                                  </div>
                                  <!-- /.modal-dialog -->
                                </div>

                                 <div class="modal modal-danger fade" id="modifierParticulier{{i}}">
                                  <div class="modal-dialog " role="document">
                                    <div class="modal-content" style="width:700px">
                                      <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel4">Modifier Apporteur </h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">×</span>
                                        </button>
                                      </div>
                                      <div class="modal-body">
                                             
                                        <form novalidate #f="ngForm" (ngSubmit)="updateParticulier(f.value)">
                                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFromParticulier" >
                                            <i class="feather icon-info mr-1 align-middle"></i>
                                            <span>{{InvalidFromParticulier}}</span>
                                          </div>
                                          <div class="row">
                                            <div class="col-12 col-sm-6">
                                              <div class="form-group">
                                                <div class="controls">
                                                  <input type="hidden" name="id" #id="ngModel" [(ngModel)]="ut.id">

                                                  <label>Nom</label>
                                                  <input type="text" class="form-control" placeholder="Nom" name="nom" #nom="ngModel" [(ngModel)]="ut.nom"  required>
                                                </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Nom Obligatoire</span>
                                                </div>
                                              </div>
                                              <div class="form-group">
                                                <div class="controls">
                                                  <label>Adresse:</label>
                                                  <input type="text" class="form-control" placeholder="Adresse" name="adresse" #adresse="ngModel" [(ngModel)]="ut.adresse"  required>
                                                </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="adresse.touched && adresse.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Adresse Obligatoire</span>
                                                </div>
                                              </div>
                                              <div class="form-group">
                                                <div class="controls">
                                                  <label>Mobile:</label>
                                                  <input type="text" class="form-control" placeholder="Mobile"  name="mobile" #mobile="ngModel" [(ngModel)]="ut.mobile"  required>
                                                </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="mobile.touched && mobile.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Mobile Obligatoire</span>
                                                </div>
                                              </div>
                              
                                            </div>
                                            <div class="col-12 col-sm-6">
                            
                                              <div class="form-group">
                                                <div class="controls">
                                                  <label>Cin:</label>
                                                  <input type="text" class="form-control" placeholder="Cin"  name="cin" #cin="ngModel" [(ngModel)]="ut.cin"  required>
                                                </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="cin.touched && cin.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Cin Obligatoire</span>
                                                </div>
                                              </div>
                                              <div class="form-group">
                                                <div class="controls">
                                                  <label>Email:</label>
                                                  <input type="Email" class="form-control" placeholder="Email"  name="emailP" #emailP="ngModel" [(ngModel)]="ut.emailP"  disabled>
                                                </div>
                                                
                                              </div>
                                              <div class="form-group">
                                                <label>Téléphone:</label>
                                                <input type="text" class="form-control" placeholder="Téléphone"  name="tel" #tel="ngModel" [(ngModel)]="ut.tel"  required >
                                              </div>
                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="tel.touched && tel.invalid">
                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                <span>Tel Obligatoire</span>
                                              </div>
                                             
                                            </div>
                                         <hr>
                                              <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" style="margin-left: 490px;"[disabled]="f.invalid">Modifier Apporteur</button>                                              </div>
                                        </form>                                         
                                         
                                
                                
                                      </div>
                                     
                                    
                                    </div>
                                    <!-- /.modal-content -->
                                  </div>
                                  <!-- /.modal-dialog -->
                                </div>


                              </tr>
                            
                        
                                   </tbody>
                              
                          </table>
<hr>
                          <h3 class="content-header-title float-left mb-0">Liste des sociétés</h3><br><br>
                          <table class="table zero-configuration table-striped" >
                            
                            <thead>
                              <tr>
                                <th>NOM</th>
                                <th>COURRIEL</th>
                                <th>TEL</th>
                                <th>ADRESSE</th>
                                <th>RAISON_SOCIALE</th>
                                <th>DATE_CREATION</th>

                                <th>ACTION</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngFor="let ut of societes; index as i">
                                
                                <td class="product-category">{{ut.nom}}</td>
                                <td class="product-category">{{ut.email}}</td>
                                <td class="product-category">{{ut.tel}}</td>
                                <td class="product-category">{{ut.adresse}}</td>
                                <td class="product-category">{{ut.raison_sociale}}</td>
                                <td class="product-category">{{ut.date_creation |date}}</td>
                                <td class="product-action">
                                  
                      
                                  <div class="dropdown">
                                   <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                   <div class="dropdown-menu dropdown-menu-right">
                                    <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifierSociete' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                       
                                     <a class="dropdown-item" href="#" data-toggle="modal" (click)="deletePopupSociete(ut.id,ut.nom)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                   </div>
                                 </div>
                                 
                                 </td>

                                 <div class="modal modal-danger fade" id="supprimerSociete{{i}}">
                                  <div class="modal-dialog " role="document">
                                    <div class="modal-content">
                                      <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel4">Suppression Apporteur</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">×</span>
                                        </button>
                                      </div>
                                      <div class="modal-body">
                                        <p>
                                        Voulez vous supprimer  Apporteur {{ut.nom}}
                                        </p>
                                      </div>
                                      <div class="modal-footer">
                                        <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal" (click)="deleteSociete(ut.id)">Supprimer</button>
                                      </div>
                                    
                                    </div>
                                    <!-- /.modal-content -->
                                  </div>
                                  <!-- /.modal-dialog -->
                                </div>

                                 <div class="modal modal-danger fade" id="modifierSociete{{i}}">
                                  <div class="modal-dialog " role="document">
                                    <div class="modal-content" style="width:700px">
                                      <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel4">Modifier Apporteur </h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">×</span>
                                        </button>
                                      </div>
                                      <div class="modal-body">
                                        <form novalidate #fs="ngForm" (ngSubmit)="updateSociete(fs.value)">
                                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFromSociete" >
                                            <i class="feather icon-info mr-1 align-middle"></i>
                                            <span>{{InvalidFromSociete}}</span>
                                          </div>   
                                          <div class="row">
                                            <div class="col-12 col-sm-6">
                                              <div class="form-group">
                                                <div class="controls">
                                                  <input type="hidden" name="id" #id="ngModel" [(ngModel)]="ut.id">

                                                  <label>Nom</label>
                                                  <input type="text" class="form-control" placeholder="Nom" name="nom" #nom="ngModel" [(ngModel)]="ut.nom"  required>
                                                </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Nom Obligatoire</span>
                                                </div>
                                              </div>
                                              
                                              <div class="form-group">
                                                <div class="controls">
                                                  <label>Adresse:</label>
                                                  <input type="text" class="form-control" placeholder="Adresse" name="adresse" #adresse="ngModel" [(ngModel)]="ut.adresse"  required>
                                                </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="adresse.touched && adresse.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Adresse doit étre Saisie</span>
                                                </div>
                                              </div>
                            
                                              <div class="form-group">
                                               <div class="controls">
                                                <label>Mobile:</label>
                                                <input type="text" class="form-control" placeholder="mobile" name="mobile" #mobile="ngModel" [(ngModel)]="ut.mobile"  required>
                                              </div>
                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="mobile.touched && mobile.invalid">
                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                <span>Mobile doit étre Saisie</span>
                                              </div>
                                            </div>
                            
                                              
                                              <div class="form-group">
                                                <div class="controls">
                                                <label>Numero de registre fiscale:</label>
                                                <input type="text" class="form-control" placeholder="Numero de regitre fiscale" name="numero_registre" #numero_registre="ngModel" [(ngModel)]="ut.numero_registre"  required>
                                              </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="numero_registre.touched && numero_registre.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Numérode registre Obligatoire</span>
                                                </div>
                                              </div>
                                              <div class="form-group">
                                                <div class="controls">
                                                  <label>Date creation d'entreprise:</label>
                                                  <input type="date" class="form-control" placeholder="Date creation d'entreprise" name="date_creation" #date_creation="ngModel" [(ngModel)]="ut.date_creation"  required>
                                                </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="date_creation.touched && date_creation.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Date de création d'entreprise Obligatoire</span>
                                                </div>
                                              </div>
                            
                                              
                                            </div>
                                            <div class="col-12 col-sm-6">
                                              <div class="form-group">
                                                <div class="controls">
                                                  <label>Raison Sociale:</label>
                                                  <input type="text" class="form-control" placeholder="Raison Sociale"  name="raison_sociale" #raison_sociale="ngModel" [(ngModel)]="ut.raison_sociale"  required>
                                                </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="raison_sociale.touched && raison_sociale.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Raison Sociale Obligatoire</span>
                                                </div>
                                              </div>
                                              <div class="form-group">
                                                <div class="controls">
                                                <label>Téléphone:</label>
                                                <input type="text" class="form-control" placeholder="Téléphone" name="tel" #tel="ngModel" [(ngModel)]="ut.tel"  required>
                                              </div>
                                               <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="tel.touched && tel.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Téléphone Obligatoire</span>
                                                </div>
                                              </div>
                            
                                              <div class="form-group">
                                                <label>Fax:</label>
                                                <input type="text" class="form-control" placeholder="Fax" name="fax" #fax="ngModel" [(ngModel)]="ut.fax"  required>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="fax.touched && fax.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Fax Obligatoire</span>
                                                </div>
                                              </div>
                                              <div class="form-group">
                                                <label>Courriel:</label>
                                                <input type="email" class="form-control" placeholder="Courriel" name="email" #email="ngModel" [(ngModel)]="ut.email"  disabled>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="email.touched && email.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Email Obligatoire et doit étre de type email</span>
                                                </div>
                                              </div>
                                              
                            
                            
                            
                                              <div class="form-group">
                                                <label>Site Web:</label>
                                                <input type="text" class="form-control" placeholder="Site Web" name="siteWeb" #siteWeb="ngModel" [(ngModel)]="ut.siteWeb"  required>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="siteWeb.touched && siteWeb.invalid">
                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                  <span>Site Web Obligatoire</span>
                                                </div>
                                              </div>
                                            </div>
                                            </div>
                                            <hr>
                                              <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" style="margin-left: 490px;"[disabled]="fs.invalid">Modifier Apporteur</button>
                                          
                                        </form>      
                                                                                
                                          
                                
                                
                                      </div>
                                     
                                    
                                    </div>
                                    <!-- /.modal-content -->
                                  </div>
                                  <!-- /.modal-dialog -->
                                </div>


                              </tr>
                            
                        
                                   </tbody>
                              
                          </table>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
  <!-- dataTable ends -->
  
  <!-- add new sidebar ends -->
</section>

